• Страница 1 из 1
  • 1
Модератор форума: Dimitro  
Форум » TrinityCore » [TrinityCore] Help » SMake help (Ошибка)
SMake help
vasab2104
Скаут
The C compiler identification is unknown
The CXX compiler identification is unknown
CMake Error at CMakeLists.txt:15 (project):
No CMAKE_C_COMPILER could be found.

CMake Error at CMakeLists.txt:15 (project):
No CMAKE_CXX_COMPILER could be found.

Configuring incomplete, errors occurred!
See also "C:/work/TC/CMakeFiles/CMakeOutput.log".
See also "C:/work/TC/CMakeFiles/CMakeError.log".
<img src="https://pp.vk.me/c629514/v629514349/1bfd2/2ntDAoJUQ_A.jpg" border="0" alt=""/>
Сообщение # 1 написано 17.04.2017 в 12:42
Funtomas
Центурион
Цитата vasab2104 ()
The C compiler identification is unknown
The CXX compiler identification is unknown
CMake Error at CMakeLists.txt:15 (project):
No CMAKE_C_COMPILER could be found.

CMake Error at CMakeLists.txt:15 (project):
No CMAKE_CXX_COMPILER could be found.

Configuring incomplete, errors occurred!
See also "C:/work/TC/CMakeFiles/CMakeOutput.log".
See also "C:/work/TC/CMakeFiles/CMakeError.log".

К гадалке не ходи даже.. Ясно сказано, что CMAKE не может найти компилятор. Используй студию от 2015 и выше.
Сообщение # 2 написано 17.04.2017 в 19:20
grasicco
Сержант
Цитата Funtomas ()
Используй студию от 2015 и выше.
    Бред, смотря какой смаке используешь.
Сообщение # 3 написано 17.04.2017 в 19:42
Funtomas
Центурион
Цитата grasicco ()
Бред, смотря какой смаке используешь.

Цитата
MS Visual Studio (Community) ≥ 14 (2015 update 3) (Desktop)
это тебя не смутило?
Сообщение # 4 написано 17.04.2017 в 21:59
grasicco
Сержант
Цитата Funtomas ()
это тебя не смутило?
Это требования ласт смейка, а с чего ты взял, что у него ласт? Может он компилит санвелл, или доисторическую триню. ТС ведь так много инфы дал, что можно не заходя в топик сказать причину.
Сообщение # 5 отредактировано grasicco - Понедельник, 17.04.2017, 22:29
Funtomas
Центурион
ТриниВики, сам смотри требования для ТС, если у него доисторическая тринити, то вряд ли смаке стал возникать на компилятор
Сообщение # 6 написано 17.04.2017 в 22:39
grasicco
Сержант
Цитата Funtomas ()
ТриниВики, сам смотри требования для ТС, если у него доисторическая тринити, то вряд ли смаке стал возникать на компилятор
Я прекрасно знаю требования для новой ревы, а так же я знаю, что с этим софтом ты не закомпилишь старую триню.
Сообщение # 7 написано 17.04.2017 в 22:43
p620
Маршал
Цитата grasicco ()
Я прекрасно знаю требования для новой ревы, а так же я знаю, что с этим софтом ты не закомпилишь старую триню.

А что, обратную совместимость отменили? И да, рекомендации по IDE идут от используемого языкового стандарта (сейчас, насколько мне известно, это C++14, следовательно нужна 13+ студия, начиная с которой этот стандарт поддерживается). CMake же можно заставить искать любой поддерживаемый тулчейн.
Сообщение # 8 написано 17.04.2017 в 22:52
grasicco
Сержант
Цитата p620 ()
А что, обратную совместимость отменили?
Хорошо, смейк увидит компилятор, а openssl? А старый мускул? Без доп инфы от ТС, толку дискутировать не вижу.
Сообщение # 9 написано 17.04.2017 в 22:56
Funtomas
Центурион
Цитата grasicco ()
а openssl? А старый мускул?
Если СМАКЕ можно заставить лицезреть студию, то почему нельзя сделать тоже и для этого?
Сообщение # 10 написано 17.04.2017 в 23:56
p620
Маршал
Цитата grasicco ()
Хорошо, смейк увидит компилятор, а openssl? А старый мускул? Без доп инфы от ТС, толку дискутировать не вижу.

За подцепку ресурсов отвечает сценарий, предоставляемый разработчиком собираемого решения. CMake всего лишь предоставляет среду интерпретирования этого сценария и некоторый интерфейс с ОС. Базовый сценарий обязан находиться в корневой директории исходников и называться CMakeLists, дополнительные могут находиться в поддиректориях. Кроме того, CMake поддерживает include-систему файлов с расширением .cmake. У ТСа просто-напросто отсутствует (либо повреждена) инсталляция выбранного тулчейна. Ошибка уже разбиралась и здесь, и в гугле, и не один раз, стоит отметить, так что не вижу смысла опять разжевывать эту тему, если он сам не желает прикладывать ни малейших усилий для решения своей проблемы.
Сообщение # 11 отредактировано p620 - Вторник, 18.04.2017, 01:25
grasicco
Сержант
Цитата p620 ()
За подцепку ресурсов отвечает сценарий, предоставляемый разработчиком собираемого решения. CMake всего лишь предоставляет среду интерпретирования этого сценария и некоторый интерфейс с ОС. Базовый сценарий обязан находиться в корневой директории исходников и называться CMakeLists, дополнительные могут находиться в поддиректориях. Кроме того, CMake поддерживает include-систему файлов с расширением .cmake. У ТСа просто-напросто отсутствует (либо повреждена) инсталляция выбранного тулчейна. Ошибка уже разбиралась и здесь, и в гугле, и не один раз, стоит отметить, так что не вижу смысла опять разжевывать эту тему, если он сам не желает прикладывать ни малейших усилий для решения своей проблемы.

Я говорю про то, что если на самой первой стадии у него уже ошибка, то уверен на 200%, что у него ни верного мускула, ни нужной версии openssl.
Сообщение # 12 написано 18.04.2017 в 07:41
ServerStar
Скаут
Толку помогать ТС, если вы для него говорите на другом языке.
Сообщение # 13 написано 18.04.2017 в 12:48
Форум » TrinityCore » [TrinityCore] Help » SMake help (Ошибка)
  • Страница 1 из 1
  • 1
Поиск: